Package org.apache.xmlbeans.impl.common

## Class XmlNameImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.common.XmlNameImpl

- All Implemented Interfaces:
    `XMLName`

      public class XmlNameImpl
      extends Object
      implements XMLName

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XmlNameImpl()` |
    `XmlNameImpl​(String localName)` |
    `XmlNameImpl​(String namespaceUri, String localName)` |
    `XmlNameImpl​(String namespaceUri, String localName, String prefix)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getLocalName()` |
    `String` | `getNamespaceUri()` |
    `String` | `getPrefix()` |
    `String` | `getQualifiedName()` |
    `int` | `hashCode()` |
    `void` | `setLocalName​(String localName)` |
    `void` | `setNamespaceUri​(String namespaceUri)` |
    `void` | `setPrefix​(String prefix)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlNameImpl

          public XmlNameImpl()

    - #### XmlNameImpl

          public XmlNameImpl​(String localName)

    - #### XmlNameImpl

          public XmlNameImpl​(String namespaceUri,
                             String localName)

    - #### XmlNameImpl

          public XmlNameImpl​(String namespaceUri,
                             String localName,
                             String prefix)

  - ### Method Detail

    - #### getNamespaceUri

          public String getNamespaceUri()

      Specified by:
        `getNamespaceUri` in interface `XMLName`

    - #### getLocalName

          public String getLocalName()

      Specified by:
        `getLocalName` in interface `XMLName`

    - #### getPrefix

          public String getPrefix()

      Specified by:
        `getPrefix` in interface `XMLName`

    - #### setNamespaceUri

          public void setNamespaceUri​(String namespaceUri)

    - #### setLocalName

          public void setLocalName​(String localName)

    - #### setPrefix

          public void setPrefix​(String prefix)

    - #### getQualifiedName

          public String getQualifiedName()

      Specified by:
        `getQualifiedName` in interface `XMLName`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public final boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`